PropertyEditorRegistryUtils (Grails 6.0.0)

Package: org.grails.web.beans

## [Groovy] Class PropertyEditorRegistryUtils

- org.grails.web.beans.PropertyEditorRegistryUtils

-     @groovy.transform.CompileStatic
      class PropertyEditorRegistryUtils
      extends java.lang.Object

  Authors:
    Graeme Rocher
  Since:
    2.4

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static java.lang.String` | `JSON_DATE_FORMAT` |
    `private static java.lang.String` | `PROPERTY_EDITOR_REGISTRARS` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `PropertyEditorRegistryUtils ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static void` | `registerCustomEditors(GrailsWebRequest grailsWebRequest, org.springframework.beans.PropertyEditorRegistry registry, java.util.Locale locale)` Registers all known
    `` | `private static void` | `registerCustomEditorsFromContext(javax.servlet.ServletContext servletContext, org.springframework.beans.PropertyEditorRegistry registry)` Collects all PropertyEditorRegistrars in the application context and calls them to register their custom editors

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private static final java.lang.String JSON_DATE_FORMAT

    - #### private static final java.lang.String PROPERTY_EDITOR_REGISTRARS

  - ### Constructor Detail

    - #### PropertyEditorRegistryUtils()

  - ### Method Detail

    - #### static void registerCustomEditors(GrailsWebRequest grailsWebRequest, org.springframework.beans.PropertyEditorRegistry registry, java.util.Locale locale)

      Registers all known

      Parameters:
        grailsWebRequest
        registry
        locale

    - #### private static void registerCustomEditorsFromContext(javax.servlet.ServletContext servletContext, org.springframework.beans.PropertyEditorRegistry registry)

      Collects all PropertyEditorRegistrars in the application context and calls them to register their custom editors

      Parameters:
        servletContext
        `registry` - The PropertyEditorRegistry instance